{% block swag_guided_shopping_presentation_detail_appointments_cancel_modal %}
    <sw-modal v-if="appointment"
        @modal-close="onCloseCancelAppointmentModal"
        :title="$tc('swag-guided-shopping-appointment.base.attendees.cancelAppointment')">
        {% block swag_guided_shopping_presentation_detail_appointments_cancel_modal_confirm_delete_text %}
            <sw-container columns="1fr" gap="24px">
                <sw-text-editor
                    v-model:value="cancelAppointmentMessage"
                    :allow-inline-data-mapping="true"
                    :label="$tc('swag-guided-shopping-appointment.base.attendees.cancelAppointmentMessage')"
                    sanitize-input>
                    <template #label>
                        <span>{{$tc('swag-guided-shopping-appointment.base.attendees.cancelAppointmentMessage')}}</span>
                        <span class="sw-label__hint">
                            {{$tc('swag-guided-shopping-appointment.general.optionalLabel')}}
                        </span>
                    </template>
                </sw-text-editor>
            </sw-container>
        {% endblock %}

        {% block swag_guided_shopping_presentation_detail_appointments_cancel_modal_footer %}
            <template #modal-footer>
                {% block swag_guided_shopping_presentation_detail_appointments_cancel_modal_cancel %}
                    <sw-button @click="onCloseCancelAppointmentModal"
                                size="small">
                        {{ $tc('swag-guided-shopping-presentation.detailAppointments.buttonCancel') }}
                    </sw-button>
                {% endblock %}

                {% block swag_guided_shopping_presentation_detail_appointments_cancel_modal_confirm %}
                    <sw-button-group
                        :split-button="true"
                    >
                        {% block swag_guided_shopping_presentation_detail_appointments_cancel_button %}
                            <sw-button
                                variant="danger"
                                size="small"
                                @click="onConfirmCancelAppointment(appointment.id, true)"
                            >
                                {{ $tc('swag-guided-shopping-presentation.detailAppointments.buttonSend') }}
                            </sw-button>
                        {% endblock %}

                        {% block swag_guided_shopping_presentation_detail_appointments_cancel_without_send %}
                            <sw-context-button>
                                <template #button>
                                    <sw-button variant="danger" square size="small">
                                        <sw-icon name="regular-chevron-down-xs" size="16" />
                                    </sw-button>
                                </template>

                                {% block swag_guided_shopping_presentation_detail_appointments_cancel_without_send_button %}
                                    <sw-context-menu-item
                                        @click="onConfirmCancelAppointment(appointment.id, false)"
                                    >
                                        {{ $tc('swag-guided-shopping-appointment.base.attendees.cancelAppointmentWithoutSend') }}
                                    </sw-context-menu-item>
                                {% endblock %}
                            </sw-context-button>
                        {% endblock %}
                    </sw-button-group>
                {% endblock %}
            </template>
        {% endblock %}
    </sw-modal>
{% endblock %}
